> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scholarai.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read the Full text of a paper

> Retrieves the full text of an article by its pdf_url. May use a cached entry or read from other data sources before trying PDF parsing.
:param pdf_url: the url of the pdf
:param chunk: the chunk number to retrieve
:return: the chunk of the full text requested with the page number and total number of pages



## OpenAPI

````yaml get /api/fulltext
openapi: 3.1.0
info:
  title: No title
  version: No version
servers:
  - url: https://api.scholarai.io
security:
  - ApiKeyAuth: []
tags:
  - name: Api
paths:
  /api/fulltext:
    get:
      tags:
        - Api
      summary: Read the Full text of a paper
      description: >-
        Retrieves the full text of an article by its pdf_url. May use a cached
        entry or read from other data sources before trying PDF parsing.

        :param pdf_url: the url of the pdf

        :param chunk: the chunk number to retrieve

        :return: the chunk of the full text requested with the page number and
        total number of pages
      operationId: api_get_fulltext
      parameters:
        - in: query
          name: pdf_id
          description: >-
            id for PDF. Must begin with be one of `PDF_URL:some.url.com` or
            `PROJ:some_path`
          schema:
            type: string
          required: true
        - in: query
          name: chunk
          description: chunk number to retrieve, defaults to 1
          schema:
            type: integer
            default: 1
          required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaperContentResponse'
          description: OK
components:
  schemas:
    PaperContentResponse:
      type: object
      properties:
        chunks:
          type: array
          items:
            $ref: '#/components/schemas/PaperChunk'
        total_chunk_num:
          type: integer
        hint:
          type: string
    PaperChunk:
      type: object
      properties:
        chunk_num:
          type: integer
        chunk:
          type: string
        img_mds:
          type: array
          items:
            type: string
        pdf_url:
          type: string
          format: url
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: x-scholarai-api-key
      in: header

````